Set PR preview settings
curl --request PUT \
--url https://api.pipecat.daily.co/v1/agents/{agentName}/previews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secretSet": "preview-secrets",
"botPullRequests": false
}
'import requests
url = "https://api.pipecat.daily.co/v1/agents/{agentName}/previews"
payload = {
"secretSet": "preview-secrets",
"botPullRequests": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({secretSet: 'preview-secrets', botPullRequests: false})
};
fetch('https://api.pipecat.daily.co/v1/agents/{agentName}/previews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents/{agentName}/previews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'secretSet' => 'preview-secrets',
'botPullRequests' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents/{agentName}/previews"
payload := strings.NewReader("{\n \"secretSet\": \"preview-secrets\",\n \"botPullRequests\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.pipecat.daily.co/v1/agents/{agentName}/previews")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"secretSet\": \"preview-secrets\",\n \"botPullRequests\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents/{agentName}/previews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"secretSet\": \"preview-secrets\",\n \"botPullRequests\": false\n}"
response = http.request(request)
puts response.read_body{
"secretSet": "preview-secrets",
"botPullRequests": false
}{
"error": "PR previews need a GitHub repository connected to this agent",
"code": "400"
}{
"error": "Organization is suspended",
"code": "403"
}{
"error": "Secret set not found",
"code": "404"
}{
"error": "An environment of another agent cannot have PR previews",
"code": "409"
}{
"error": "Internal server error",
"code": "500"
}Set PR Preview Settings
PUT /agents//previews turns a project’s PR previews on with the secret set they mount, or off with null.
PUT
/
agents
/
{agentName}
/
previews
Set PR preview settings
curl --request PUT \
--url https://api.pipecat.daily.co/v1/agents/{agentName}/previews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secretSet": "preview-secrets",
"botPullRequests": false
}
'import requests
url = "https://api.pipecat.daily.co/v1/agents/{agentName}/previews"
payload = {
"secretSet": "preview-secrets",
"botPullRequests": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({secretSet: 'preview-secrets', botPullRequests: false})
};
fetch('https://api.pipecat.daily.co/v1/agents/{agentName}/previews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents/{agentName}/previews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'secretSet' => 'preview-secrets',
'botPullRequests' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents/{agentName}/previews"
payload := strings.NewReader("{\n \"secretSet\": \"preview-secrets\",\n \"botPullRequests\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.pipecat.daily.co/v1/agents/{agentName}/previews")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"secretSet\": \"preview-secrets\",\n \"botPullRequests\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents/{agentName}/previews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"secretSet\": \"preview-secrets\",\n \"botPullRequests\": false\n}"
response = http.request(request)
puts response.read_body{
"secretSet": "preview-secrets",
"botPullRequests": false
}{
"error": "PR previews need a GitHub repository connected to this agent",
"code": "400"
}{
"error": "Organization is suspended",
"code": "403"
}{
"error": "Secret set not found",
"code": "404"
}{
"error": "An environment of another agent cannot have PR previews",
"code": "409"
}{
"error": "Internal server error",
"code": "500"
}Authorizations
Authentication requires a Pipecat Cloud Private API token.
Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.
Path Parameters
Name of the project
Body
application/json